﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.addButtnon.Clicked += addButton_Clicked;
        this.getButton.Clicked  += getButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 추가하기 버튼 클릭시 처리하기 - addButton_Clicked(sender, e)

    /// <summary>
    /// 추가하기 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    public void addButton_Clicked(object sender, EventArgs e)
    {
        this.statusMessageLabel.Text = string.Empty;

        App.PersonRepository.AddPerson(this.nameEntry.Text);

        this.statusMessageLabel.Text = App.PersonRepository.StatusMessage;
    }

    #endregion
    #region 조회하기 버튼 클릭시 처리하기 - getButton_Clicked(sender, e)

    /// <summary>
    /// 조회하기 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    public void getButton_Clicked(object sender, EventArgs e)
    {
        this.statusMessageLabel.Text = string.Empty;

        List<Person> personList = App.PersonRepository.GetAllPersonList();

        this.collectionView.ItemsSource = personList;
    }

    #endregion
}